Index: .gitignore
===================================================================
--- .gitignore	(revision aeb018d25dc7ba8b07c8d1189d0efe5c0bbb516a)
+++ .gitignore	(revision a97c51e27e1337b66f9ec4a994fcf8260af4c868)
@@ -12,4 +12,5 @@
 .project
 .pydevproject
+.vagrant
 build
 dist
@@ -20,5 +21,5 @@
 html
 build
-
+sasview-install
 docs/sphinx-docs
 
Index: Vagrantfile
===================================================================
--- Vagrantfile	(revision a97c51e27e1337b66f9ec4a994fcf8260af4c868)
+++ Vagrantfile	(revision a97c51e27e1337b66f9ec4a994fcf8260af4c868)
@@ -0,0 +1,77 @@
+# -*- mode: ruby -*-
+# vi: set ft=ruby :
+
+# All Vagrant configuration is done below. The "2" in Vagrant.configure
+# configures the configuration version (we support older styles for
+# backwards compatibility). Please don't change it unless you know what
+# you're doing.
+Vagrant.configure(2) do |config|
+  # The most common configuration options are documented and commented below.
+  # For a complete reference, please see the online documentation at
+  # https://docs.vagrantup.com.
+
+  # Every Vagrant development environment requires a box. You can search for
+  # boxes at https://atlas.hashicorp.com/search.
+  config.vm.box = "ubuntu1404"
+  config.vm.box_url = "https://github.com/hnakamur/packer-templates/releases/download/v1.0.2/ubuntu-14-04-x64-virtualbox.box"
+  #config.vm.box = "fedora19"
+  #config.vm.box_url = "https://dl.dropboxusercontent.com/u/86066173/fedora-19.box"
+  #config.vm.box = "fedora20"
+  #config.vm.box_url = "https://dl.dropboxusercontent.com/u/15733306/vagrant/fedora-20-netinst-2014_01_05-minimal-puppet-guestadditions.box"
+
+  # Disable automatic box update checking. If you disable this, then
+  # boxes will only be checked for updates when the user runs
+  # `vagrant box outdated`. This is not recommended.
+  # config.vm.box_check_update = false
+
+  # Create a forwarded port mapping which allows access to a specific port
+  # within the machine from a port on the host machine. In the example below,
+  # accessing "localhost:8080" will access port 80 on the guest machine.
+  # config.vm.network "forwarded_port", guest: 80, host: 8080
+
+  # Create a private network, which allows host-only access to the machine
+  # using a specific IP.
+  # config.vm.network "private_network", ip: "192.168.33.10"
+
+  # Create a public network, which generally matched to bridged network.
+  # Bridged networks make the machine appear as another physical device on
+  # your network.
+  # config.vm.network "public_network"
+
+  # Share an additional folder to the guest VM. The first argument is
+  # the path on the host to the actual folder. The second argument is
+  # the path on the guest to mount the folder. And the optional third
+  # argument is a set of non-required options.
+  # config.vm.synced_folder "../data", "/vagrant_data"
+
+  # Provider-specific configuration so you can fine-tune various
+  # backing providers for Vagrant. These expose provider-specific options.
+  # Example for VirtualBox:
+  #
+  config.vm.provider "virtualbox" do |vb|
+  #  # Display the VirtualBox GUI when booting the machine
+  #  vb.gui = true
+  #
+  #  # Customize the amount of memory on the VM:
+     vb.memory = "1024"
+     vb.cpus = "1"
+  end
+  #
+  # View the documentation for the provider you are using for more
+  # information on available options.
+
+  # Define a Vagrant Push strategy for pushing to Atlas. Other push strategies
+  # such as FTP and Heroku are also available. See the documentation at
+  # https://docs.vagrantup.com/v2/push/atlas.html for more information.
+  # config.push.define "atlas" do |push|
+  #   push.app = "YOUR_ATLAS_USERNAME/YOUR_APPLICATION_NAME"
+  # end
+
+  # Enable provisioning with a shell script. Additional provisioners such as
+  # Puppet, Chef, Ansible, Salt, and Docker are also available. Please see the
+  # documentation for more information about their specific syntax and use.
+  # config.vm.provision "shell", inline <<-SHELL
+  #   sudo apt-get install apache2
+  # SHELL
+  config.vm.provision :shell, :path => "Vagrantprovision.sh"
+end
Index: Vagrantprovision.sh
===================================================================
--- Vagrantprovision.sh	(revision 795ea6a20bf45d14eaee0e6d2129d2019ac16563)
+++ Vagrantprovision.sh	(revision 795ea6a20bf45d14eaee0e6d2129d2019ac16563)
@@ -0,0 +1,21 @@
+#! /bin/bash
+
+sed -i 's,http://us.archive.ubuntu.com/ubuntu/,mirror://mirrors.ubuntu.com/mirrors.txt,' /etc/apt/sources.list
+apt-get update
+
+apt-get install -y xvfb git python-pip pkg-config libfreetype6-dev libpng-dev python-dev python-wxtools pylint python-matplotlib python-numpy python-sphinx python-xmlrunner python-pisa python-setuptools python-scipy python-pyparsing python-html5lib python-reportlab python-lxml python-pil
+pip install bumps comtypes periodictable 
+
+cat >> ~vagrant/.bashrc <<EOF
+export LANG=en_US.UTF-8
+export LC_ALL=en_US.UTF-8
+export LC_CTYPE=en_US.UTF-8
+sasview-compile() {
+cd /vagrant
+sh ./build_tools/jenkins_linux_build.sh
+}
+sasview-test() {
+cd /vagrant
+sh ./build_tools/jenkins_linux_test.sh
+}
+EOF
